<div class="container">
    <h1>Lista de personajes</h1>
    <h3>
        Paginas {{numPages}} <br> Num Páginas: {{currentPage}}
    </h3>
    <div class="botones">
        <button class="btn btn-primary" (click)="changePage(false)" [disabled]="currentPage === 1">Anterior</button>
        <button class="btn btn-primary ml-2" (click)="changePage(true)" [disabled]="currentPage === numPages">Siguiente </button>
    </div>
    <div class="row">
        <div class="col-3" *ngFor="let personaje of arrPersonajes">
            <div class="personaje" [ngClass]="{vivo: (personaje.status === 'Alive'), muerto: (personaje.status === 'Dead')}">
                <h3>{{personaje.name}}</h3>
                <img [src]="personaje.image">
                <p>{{personaje.species}}</p>
            </div>
        </div>
    </div>
</div>